## Outward SideLoader

The Outward SideLoader is an API and a mod development toolkit for creating and editing custom content.

Please view the **[SideLoader Docs](https://sinai-dev.github.io/OSLDocs/#/)** for full documentation on SideLoader.

### Latest changes

#### 3.4.7

* Fixed the order of the 'late apply' process (it was reversed for some reason)
* Fixed the "Apply all values" button in the SL Menu (it was creating empty values for null strings)

#### 3.4.6

* Fixed a bug with `SL_Deployable` not working properly
* Fixed some fields on various ItemExtensions which weren't being serialized when creating a template

#### 3.4.5

* Fixed an exception which could occur when trying to sleep in the Standalone Tutorial

### Basic overview
The main features of SideLoader are:

* Helpers for loading custom asset files, either in AssetBundles or directly from .png and .wav files, etc
* Expansive API for editing and creating custom content including Items, Characters, Statuses, etc
* C#-specific API for additional tools and helpers such as Custom Keybindings, etc

### Installation (manual)

For a manual installation, do the following

1. Create the folder(s): `Outward\BepInEx\plugins\SideLoader\`.
2. Extract the archive into a folder. **Do not extract into the Outward game folder.**
3. Move the contents of the `plugins\` folder from the archive into the `BepInEx\plugins\SideLoader` folder you created.
3. It should look like `Outward\BepInEx\plugins\SideLoader\SideLoader.dll`, etc
4. Launch the game, you should see a new keybinding in your in-game keybindings for the SideLoader menu.